HibernateQueryException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.orm.hibernate4

## Class HibernateQueryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.InvalidDataAccessResourceUsageException
              - - org.springframework.orm.hibernate4.HibernateQueryException

- All Implemented Interfaces:
    Serializable

      public class HibernateQueryException
      extends InvalidDataAccessResourceUsageException

  Hibernate-specific subclass of InvalidDataAccessResourceUsageException, thrown on invalid HQL query syntax.
  Since:
    3.1
  Author:
    Juergen Hoeller
  See Also:
    `SessionFactoryUtils.convertHibernateAccessException(org.hibernate.HibernateException)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HibernateQueryException(QueryException ex)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getQueryString()` Return the HQL query string that was invalid.

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HibernateQueryException

          public HibernateQueryException(QueryException ex)

  - ### Method Detail

    - #### getQueryString

          public String getQueryString()

      Return the HQL query string that was invalid.